[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.OnFieldEditMask

Event handler signalled to get the edit mask for a Field.

## Declaration

Source position: dbgrids.pas line 531

`protected property TCustomDBGrid.OnFieldEditMask : TGetDbEditMaskEvent read FOnFieldEditMask write FOnFieldEditMask;`

## Description

OnFieldEditMask is a TGetDbEditMaskEvent property that implements the event handler signalled to get the edit mask used for a Field in the grid control. OnFieldEditMask allows overriding the edit mask assigned to a Field in the Columns property, or assigning an edit mask for Fields that do not already have one. Assign a procedure to the event handler to respond to the event notification.

OnFieldEditMask is triggered from the GetEditMask method when the DataSet in DataLink is active.